# fileappender.h File Reference

`#include <log4cplus/config.h>`
`#include <log4cplus/appender.h>`
`#include <log4cplus/fstreams.h>`
`#include <log4cplus/helpers/property.h>`

Include dependency graph for fileappender.h:

Go to the source code of this file.

## Namespaces

namespace | log4cplus

## Defines

#define | LOG4CPLUS_OPEN_MODE_TYPE LOG4CPLUS_FSTREAM_NAMESPACE::ios::openmode

## Detailed Description

Definition in file fileappender.h.

## Define Documentation

#define LOG4CPLUS_OPEN_MODE_TYPE LOG4CPLUS_FSTREAM_NAMESPACE::ios::openmode

| Definition at line 27 of file fileappender.h.